#include "basicmodule.h"
#include "shader.h"
#include "entity.h"
#include "camera.h"

void BasicModule::addEntity(Entity* myEntity)
{
    entities.push_back(myEntity);
}

void BasicModule::render(Camera* myCamera)
{
    shader->bind();
    bindModule();
    for(Entity* e : entities)
        e->draw(myCamera->getViewMatrix(), myCamera->getProjectionMatrix());
}


