#ifndef BUMPMAPPEDMESH_H
#define BUMPMAPPEDMESH_H

#include "vertex.h"
#include "mesh.h"

class BumpMappedMesh : public Mesh
{
protected:
    std::vector<SRFVertex> vertices;

    virtual int getNbVertices()
    {
        return vertices.size();
    }

    virtual int getSizeofVertexType()
    {
        return sizeof(SRFVertex);
    }

    virtual void* getVertexData()
    {
        return (void*)(vertices.data());
    }

    virtual void setAttribPointer();

public:

    void addVertex(const SRFVertex& v);
};

#endif // BUMPMAPPEDMESH_H
