#-------------------------------------------------
#
# Project created by QtCreator 2015-06-16T15:37:51
#
#-------------------------------------------------

QT       += core gui opengl widgets


Debug:TARGET = sparrowRendererDebug
Release:TARGET = sparrowRenderer
TEMPLATE = lib
CONFIG += c++11 staticlib

INCLUDEPATH += ../cpp_dependencies/include
win32 {
    DESTDIR = $$PWD/../cpp_dependencies/lib/win32
    LIBS += -L../../cpp_dependencies/lib/win32
    LIBS += -lglew32 -lopengl32 -lglu32
}
unix {
    DESTDIR = $$PWD/../cpp_dependencies/lib/linux
    LIBS += -L../../cpp_dependencies/lib/linux
    LIBS += -lGL -lGLEW -lGLU
}

SOURCES += shader.cpp \
    camera.cpp \
    gridmesh.cpp \
    texture.cpp \
    phongmaterial.cpp \
    scenecontroller.cpp \
    sphere.cpp \
    entity.cpp \
    utils.cpp \
    lights.cpp \
    sparrowrenderer.cpp \
    resourcebase.cpp \
    focuscontroller.cpp \
    phongmodule.cpp \
    skyboxmodule.cpp \
    basicmodule.cpp \
    framebuffer.cpp \
    standardmesh.cpp \
    mesh.cpp \
    bumpmappedmesh.cpp

HEADERS += shader.h \
    camera.h \
    glassert.h \
    material.h \
    gridmesh.h \
    texture.h \
    phongmaterial.h \
    scenecontroller.h \
    sphere.h \
    entity.h \
    utils.h \
    lights.h \
    sparrowrenderer.h \
    resourcebase.h \
    focuscontroller.h \
    phongmodule.h \
    skyboxmodule.h \
    basicmodule.h \
    module.h \
    resource.h \
    framebuffer.h \
    standardmesh.h \
    mesh.h \
    bumpmappedmesh.h \
    vertex.h

OTHER_FILES += *.frag *.vert *.glsl *.todo

DISTFILES += \
    modules.todo
