#ifndef VERTEX_H
#define VERTEX_H

#include "glm/vec3.hpp"
#include "glm/vec2.hpp"

struct Vertex
{
    glm::vec3 position;
};

struct BasicVertex : public Vertex
{
    glm::vec3 normal;
};

struct TexturedVertex : public BasicVertex
{
    glm::vec2 texCoord;
};

struct SRFVertex : public TexturedVertex
{
    glm::vec3 tangent;
    glm::vec3 bitangent;
};

#endif // VERTEX_H

