#ifndef BASICMODULE_H
#define BASICMODULE_H

#include "module.h"
#include <vector>
#include <cstddef>

class Shader;
class Entity;
class Camera;

class BasicModule : public Module
{
protected:
    Shader* shader;
    std::vector<Entity*> entities;

    BasicModule(Shader* myShader = NULL) : shader(myShader) {}

    virtual void bindModule() = 0;

public:
    void addEntity(Entity* myEntity);
    void virtual render(Camera* myCamera);
};

#endif // BASICMODULE_H
