#ifndef FOCUSCONTROLLER_H
#define FOCUSCONTROLLER_H

#include "scenecontroller.h"
#include <glm/fwd.hpp>

class FocusController : public SceneController
{
    glm::vec3* track;
    float dist;

    void updateCamera();

public:
    FocusController(glm::vec3* object) : track(object), dist(-1) {}

    void setFocus(glm::vec3* object);

    virtual void mouseMove(int dx, int dy);
    virtual void mouseWheelEvent(int scrollCount);
};

#endif // FOCUSCONTROLLER_H
