#ifndef PHONGMODULE_H
#define PHONGMODULE_H

#include <glew/glew.h>
#include "basicmodule.h"
#include "phongmaterial.h"
#include "standardmesh.h"

class Lights;

class PhongModule : public BasicModule
{
    Lights* dirLights;
    Lights* pointLights;
    GLuint nbDirLightsLocation;
    GLuint dirLightsLocation;
    GLuint nbPointLightsLocation;
    GLuint pointLightsLocation;
public:
    PhongModule(Lights* myDirLights, Lights* myPointLights, Shader* phongShader);
    virtual void bindModule();
};

#endif // PHONGMODULE_H
