#include "scenecontroller.h"
#include "camera.h"
#include <QObject>

void SceneController::setCamera(Camera* myCamera)
{
    camera = myCamera;
}

void SceneController::mouseEvent(int button, bool state)
{
    switch (button) {
    case Qt::LeftButton:
        grabbed += state ? 1 : -1;
        break;
    case Qt::RightButton:
        grabbed += state ? 2 : -2;
        break;
    case Qt::MiddleButton:
        grabbed += state ? 4 : -4;
        break;
    default:
        break;
    }
}

