#ifndef SCENECONTROLLER_H
#define SCENECONTROLLER_H

#include <cstddef>

class Camera;

class SceneController
{
protected:
    Camera* camera;
    int grabbed;
public:
    SceneController() : camera(NULL), grabbed(0) {}

    void setCamera(Camera* myCamera);
    virtual void mouseMove(int dx, int dy) {}
    virtual void mouseEvent(int button, bool state);
    virtual void keyEvent(int key, bool state) {}
    virtual void mouseWheelEvent(int scrollCount) {}
};

#endif // SCENECONTROLLER_H
